Summary:        General purpose dynamic array
Name:	       	Judy
Version:       	1.0.5
Release:       	6%{?dist}
License:       	LGPLv2+
URL:	       	http://sourceforge.net/projects/judy/
Source0:       	http://downloads.sf.net/judy/Judy-%{version}.tar.gz
Patch3000:		Judy-1.0.4-test-shared.patch
Patch3001:		Judy-1.0.4-fix-Judy1-mans.patch
Patch3002:		04_fix_undefined_behavior_during_aggressive_loop_optimizations.patch

BuildRequires:	coreutils gawk gcc make sed

Provides:       Judy-devel = %{version}-%{release}
Obsoletes:      Judy-devel < %{version}-%{release}

%description
This package provides a C library that provides a state-of-the-art core technology
that implements a sparse dynamic array. Judy arrays are declared simply with a null
pointer.
A Judy array consumes memory only when it is populated, yet can grow
to take advantage of all available memory if desired. Judy's key benefits are
scalability, high performance, and memory efficiency.
A Judy array is extensible and can scale up to a very large number of elements,
bounded only by machine memory. Since Judy is designed as an unbounded array,
the size of a Judy array is not pre-allocated but grows and shrinks dynamically
with the array population.

%prep
%autosetup -n judy-%{version} -p1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure --disable-static
# close parallel make https://sourceforge.net/p/judy/bugs/22/
make

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.{a,la}
rm -rf doc/man
rm -f doc/Makefile* doc/ext/README_deliver
[ -s doc/ext/COPYRIGHT ] || rm -f doc/ext/COPYRIGHT
[ -s doc/ext/LICENSE ] || rm -f doc/ext/LICENSE

%check
cd test
./Checkit
cd -

%files
%license COPYING
%doc doc AUTHORS ChangeLog README examples/
%{_libdir}/libJudy.so.1
%{_libdir}/libJudy.so.1.*
%{_libdir}/libJudy.so
%{_includedir}/Judy.h
%{_mandir}/man3/J*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Shuo Wang <abushwang@tencent.com> - 1.0.5-1
- initial build
